FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Fl_Plugin_Manager Class Reference

Fl_Plugin_Manager manages link-time and run-time plugin binaries. More...

`#include <Fl_Plugin.H>`

Inheritance diagram for Fl_Plugin_Manager:

List of all members.

## Public Member Functions
Fl_Preferences::ID | addPlugin (const char *name, Fl_Plugin *plugin)
| This function adds a new plugin to the database.
| Fl_Plugin_Manager (const char *klass)
| Manage all plugins belonging to one class.
Fl_Plugin * | plugin (int index)
| Return the address of a plugin by index.
Fl_Plugin * | plugin (const char *name)
| Return the address of a plugin by name.
int | plugins ()
| Return the number of plugins in the klass.
| ~Fl_Plugin_Manager ()
| Remove the plugin manager.
## Static Public Member Functions
static int | load (const char *filename)
| Load a module from disk.
static int | loadAll (const char *filepath, const char *pattern=0)
| Use this function to load a whole directory full of modules.
static void | removePlugin (Fl_Preferences::ID id)
| Remove any plugin.

## Detailed Description

Fl_Plugin_Manager manages link-time and run-time plugin binaries.

See also:
  Fl_Plugin

## Constructor & Destructor Documentation

Fl_Plugin_Manager::~Fl_Plugin_Manager | ( |  | ) |

Remove the plugin manager.

Calling this does not remove the database itself or any plugins. It just removes the reference to the database.

## Member Function Documentation

Fl_Preferences::ID Fl_Plugin_Manager::addPlugin | ( | const char * | name,
|  | Fl_Plugin * | plugin
| ) |  |

This function adds a new plugin to the database.

There is no need to call this function explicitly. Every Fl_Plugin constructor will call this function at initialization time.

int Fl_Plugin_Manager::load | ( | const char * | filename | ) | `[static]`

Load a module from disk.

A module must be a dynamically linkable file for the given operating system. When loading a module, its +init function will be called which in turn calls the constructor of all statically initialized Fl_Plugin classes and adds them to the database.

void Fl_Plugin_Manager::removePlugin | ( | Fl_Preferences::ID | id | ) | `[static]`

Remove any plugin.

There is no need to call this function explicitly. Every Fl_Plugin destructor will call this function at destruction time.

The documentation for this class was generated from the following files:

- Fl_Plugin.H
- Fl_Preferences.cxx